Kerbal Space Program - Bug #17996

Science and funds increasing dramatically during suborbital descent
03/12/2018 01:25 PM - RosquinhaDeFrango

Status: Closed Start date: 03/12/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.4.3

Version: 1.4.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Good morning, | just updated KSP and created a new career to test the new parts, after my orbt flight i noticed that my science and
founds went crazy, then | close the game, tried to reapir it on steam and started again. | recorded the bug, it appears after starts
descending from orbit. | have 3 footage of the bug, and 1 faild to be reproduced, its almost 2GB, where can i sand it to you?

Related issues:
Related to Kerbal Space Program - Bug #18038: Contracts bugged Closed 03/14/2018

History

#1 - 03/12/2018 01:26 PM - RosquinhaDeFrango
- File deleted (bug 1.png)

#2 - 03/12/2018 01:26 PM - RosquinhaDeFrango
- File deleted (bug 2.png)

#3 - 03/12/2018 01:26 PM - RosquinhaDeFrango
- File deleted (bug 3.png)

#4 - 03/12/2018 01:32 PM - RosquinhaDeFrango
- File deleted (bug 5.png)

#5 - 03/12/2018 01:32 PM - RosquinhaDeFrango
- File deleted (bug 4.png)

#6 - 03/12/2018 01:34 PM - RosquinhaDeFrango
- File bug 1.png added
- File bug 2.png added
- File bug 3.png added
- File bug 4.png added
- File bug 5.png added
- File bug 6.png added
- File bug 7.png added

#7 - 03/12/2018 01:41 PM - RosquinhaDeFrango

One of my tries | killed jebediah and tested with valentine and the bug didnt work

#8 - 03/12/2018 05:59 PM - Nebbie

- Subject changed from science and founds to Science and funds increasing dramatically during suborbital descent

#9 - 03/14/2018 11:07 PM - MechBFP
- Severity changed from High to Critical
- Expansion Core Game added

https://forum.kerbalspaceprogram.com/index.php?/topic/172097-science-reward-bug-v-1402077/

Many people are having this issue. Changed to critical as it makes the career game mose pointless.

#10 - 03/15/2018 12:04 PM - xsr71

Personally | haven't had this problem but people in the forums have said it happens when you enable strategies in the Administration Building.

#11 - 03/16/2018 08:38 AM - sigi714

This seems to be related:
https://bugs.kerbalspaceprogram.com/issues/18038

#12 - 03/16/2018 02:24 PM - bewing

Savegames, guys! Savegames! Not just screenshots.
#13 - 03/16/2018 03:51 PM - sigi714
bewing wrote:

Savegames, guys! Savegames! Not just screenshots.

Its in the other bug report.

#14 - 03/16/2018 09:00 PM - Squelch
- Status changed from New to Investigating
- Severity changed from Critical to Low

- % Done changed from 0 to 20

Thank you for your reports. We are looking into this, but do not seem to be able to reproduce the excessive rewards during career games. Please do
continue to provide more information, and especially saves and log files to help us identify the reproduction steps required.

| have reduced the priority on this issue. We do appreciate that this is frustrating, but critical does not fit the criterion we have laid out for priorities.

#15 - 03/16/2018 09:59 PM - sigi714

| can confirm that this is hard to reproduce. This happened in my first two fresh installs (with DLC and without) within the first 3 flights, but now |
wasn't able to reproduce it within the next 4 fresh careers. I'll give it another try tomorrow.

#16 - 03/16/2018 11:59 PM - jack_mustang
sigi714 wrote:
This seems to be related:

https://bugs.kerbalspaceprogram.com/issues/18038

Yes, #18038 contains this bug, but it also contains a second bug. The savegame on #18038 might be what Squad needs to confirm this one.

#17 - 03/17/2018 02:05 AM - RosquinhaDeFrango

- File saves.rar added

#18 - 03/17/2018 05:48 AM - Squelch
- Related to Bug #18038: Contracts bugged added

#19 - 03/18/2018 09:37 PM - MechBFP

Someone made a gif of the problem

https://m.imgur.com/a/AdfOa

#20 - 03/19/2018 10:44 AM - Squelch
- Status changed from Investigating to Being Worked On
- % Done changed from 20 to 30
Please see the note on the related issue #18038#note-8

Logs as well as savegames are important.

#21 - 03/26/2018 07:15 PM - Csus2
- File CAREER.zip added

KSP Support here:

Customer reported this bug and attached a save folder; | am uploading it in case it proves helpful.

Good luck!!

#22 - 03/29/2018 10:10 AM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.2

- % Done changed from 30 to 80

A number of measures have been taken to mitigate this problem, but we'd appreciate further reports, and especially logs and savegames if it is found
to continue. Existing saves with this problem will continue to show the excess awards, but newly accepted contracts in 1.4.2 should be ok.

#23 - 04/26/2018 10:40 PM - Squelch

- Target version changed from 1.4.2 to 1.4.3

Further measures have been taken to mitigate against this.

#24 - 07/24/2019 11:57 PM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#25 - 07/24/2019 11:58 PM - chris.fulton

- Status changed from Resolved to Closed

Files

bug 1.png 929 KB 03/12/2018 RosquinhaDeFrango
bug 2.png 576 KB 03/12/2018 RosquinhaDeFrango
bug 3.png 582 KB 03/12/2018 RosquinhaDeFrango
bug 4.png 601 KB 03/12/2018 RosquinhaDeFrango
bug 5.png 756 KB 03/12/2018 RosquinhaDeFrango
bug 7.png 574 KB 03/12/2018 RosquinhaDeFrango
bug 6.png 978 KB 03/12/2018 RosquinhaDeFrango
saves.rar 60.4 KB 03/17/2018 RosquinhaDeFrango
CAREER.zip 136 KB 03/26/2018 Csus2
